<?php
$p=explode(basename(_DIR_PLUGINS)."/",str_replace('\\','/',realpath(dirname(__FILE__))));
define('_DIR_PLUGIN_EVA_FICHE',(_DIR_PLUGINS.end($p)));

function eva_pre_typo($chaine) {
	$chemin = '<img alt="icones_peda" src="'._DIR_PLUGIN_EVA_FICHE.'/img_pack/';

	// matŽriel
	
    
    $chaine = preg_replace('/:ciseaux+/m', $chemin . "ciseaux.gif\" />", $chaine);
    $chaine = preg_replace('/:colle+/m', $chemin . "colle.gif\" /", $chaine);
    $chaine = preg_replace('/:compas+/m', $chemin . "compas.gif\" />", $chaine);
    $chaine = preg_replace('/:equerre+/m', $chemin . "equerre.gif\" />", $chaine);
    $chaine = preg_replace('/:regle+/m', $chemin . "regle.gif\" />", $chaine);
    $chaine = preg_replace('/:gomme+/m', $chemin . "gomme.gif\" />", $chaine);
    $chaine = preg_replace('/:crayon+/m', $chemin . "crayon.gif\" />", $chaine);
    $chaine = preg_replace('/:rapporteur+/m', $chemin . "rapporteur.gif\" />", $chaine);
    $chaine = preg_replace('/:pinceau+/m', $chemin . "pinceau.gif\" />", $chaine);
    $chaine = preg_replace('/:sport+/m', $chemin . "sport.gif\" />", $chaine);
    
    //consignes    
    
    $chaine = preg_replace('/:dire+/m', $chemin . "dire.gif\" />", $chaine);
    $chaine = preg_replace('/:ecrire+/m', $chemin . "ecrire.gif\" />", $chaine);
    $chaine = preg_replace('/:lire+/m', $chemin . "lire.gif\" />", $chaine);
    $chaine = preg_replace('/:ecouter+/m', $chemin . "ecouter.gif\" />", $chaine);
    
    // accessoires
    
    $chaine = preg_replace('/:ligne+/m', $chemin . "ligne.png\" />", $chaine);
	$chaine = preg_replace('/:frise+/m', $chemin . "frise.gif\" />", $chaine);
    
return $chaine;
}

?>